kwin: Add GLSL 1.40 versions of the scene shaders

Desktop / KDE / KDE Workspace - Fredrik Höglund [kde.org] - 8 May 2013 11:33 UTC

Adjust ShaderManager to load the 1.40 versions when GLSL 1.40 is supported.

1963050 kwin: Add GLSL 1.40 versions of the scene shaders
kwin/lanczosfilter.cpp | 5 +++-
kwin/libkwineffects/kwinglutils.cpp | 37 ++++++++++++++++-----------
kwin/libkwineffects/kwinglutils.h | 1 +
kwin/resources.qrc | 9 ++++++-
kwin/shaders/1.40/lanczos-fragment.glsl | 19 ++++++++++++++
kwin/shaders/1.40/scene-color-fragment.glsl | 10 ++++++++
kwin/shaders/1.40/scene-color-vertex.glsl | 13 ++++++++++
kwin/shaders/1.40/scene-fragment.glsl | 26 +++++++++++++++++++
kwin/shaders/1.40/scene-generic-vertex.glsl | 17 ++++++++++++
kwin/shaders/1.40/scene-vertex.glsl | 17 ++++++++++++
10 files changed, 137 insertions(+), 17 deletions(-)

Upstream: quickgit.kde.org


  • Share